## rapidsvn 0.12.0dfsg

=== debian/changelog ===
rapidsvn (0.12.0dfsg-6) unstable; urgency=low

  * QA upload.
  * Fix "rapidsvn SEGV with Subversion 1.7": apply slightly modified upstream
    patch, thanks Philip Martin.
    Additionally make runtime dependency of rapidsvn on libsvncpp3 versioned
    to make sure a fixed libsvncpp3 gets pulled in.
    (Closes: #644409)
  * Fix "please drop Build-Depends: libserf-0-0-dev": do as the bug report
    requests, thanks Peter Samuelson.
    (Closes: #678556)

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jun 2012 16:53:59 +0200

rapidsvn (0.12.0dfsg-5) unstable; urgency=low

  * QA upload.
  * debian/rules: Add --with-svn option to ./configure with the new multiarch 
    directory of libsvn-dev. (Closes: #642778)
  * debian/control: Fix some spelling errors in long description. 
    Thanks to Paul Stewart! (Closes: #643617)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Fri, 30 Sep 2011 09:45:52 +0200

rapidsvn (0.12.0dfsg-4) unstable; urgency=low

  * QA upload.
  * Stop shipping .la file. Closes: #633187.
  * Bump Standards-Version to 3.9.2.
  * Fix some lintian warnings.
    + Fix Subversion casing in debian/control.
    + Drop leading article in rapidsvn short description.
    + Break libsvncpp-dev (<< 0.7.0-2) instead of Conflictint with it.
    + Drop obsolete Encoding from the desktop file.

 -- Regis Boudin <regis@debian.org>  Tue, 16 Aug 2011 20:24:37 +0100

rapidsvn (0.12.0dfsg-3) unstable; urgency=low

  * Orphan the package.
  * Resolve symbols in libsvncpp. Closes: #558953.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Dec 2010 16:41:47 +0100

rapidsvn (0.12.0dfsg-2) unstable; urgency=low

  * Build-depend on python.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Jan 2010 01:25:46 +0100

rapidsvn (0.12.0dfsg-1) unstable; urgency=low

  * New upstream version.
    - Terminates with error message when disk is full. Closes: #249535.
    - Assertion `...' failed messages not reproducible anymore with this
      version. Closes: #429032.
  * Bump libsvncpp soversion.
  * Update watch file. Closes: #552543.
  * Build using wxwidgets2.8. Closes: #561075, #561193.
  * rapidsvn: Recommend ssh-askpass. Closes: #476688.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2010 14:56:23 +0100

rapidsvn (0.10.0dfsg-2) unstable; urgency=low

  * Build-depend on libsasl2-dev. Closes: #546777.
  * Update copyright, rapidsvn and libsvncpp are now GPLv3 or later.
  * Fixed crasg in 0.10.0 apparently. Closes: #542364.
  * Update package descriptions. Closes: #476555.
  * Install locale files, fix taken from the trunk. Closes: #423018.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Sep 2009 09:19:51 +0200

rapidsvn (0.10.0dfsg-1) unstable; urgency=low

  * Remove packages/win32/msvcp60.dll from the source tarball.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Sep 2009 12:37:38 +0200

rapidsvn (0.10.0-1) unstable; urgency=low

  * New upstream version. Closes: #526955. LP: #410294.
  * Bump soname of shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 29 Aug 2009 12:54:42 +0200

rapidsvn (0.9.6-1) unstable; urgency=low

  * Explicitely build-depend on libneon27-gnutls-dev, some other -dev
    package did drop this dependency. Closes: #489104.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2008 11:14:17 +0200

rapidsvn (0.9.6-0.2) unstable; urgency=low

  * NMU. Rename libsvncpp0c2a to libsvncpp1 due to upstream SONAME change
    (closes: #474039).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 03 Apr 2008 23:51:51 +0200

rapidsvn (0.9.6-0.1) unstable; urgency=low

  * NMU to use neon27.
  * New upstream release.
  * Update to Standards-Version 3.7.3, no changes needed.
  * Add homepage field to control and dh_icons need debhelper 5.0.51 or newer.
  * Don't ignore distclean failures in rules.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 01 Apr 2008 15:36:46 +0000

rapidsvn (0.9.4-3) unstable; urgency=low

  * Update desktop file.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Jan 2008 17:20:31 +0100

rapidsvn (0.9.4-2) unstable; urgency=low

  * Use menu icons from the source package. Closes: #406439.
  * Update watch file. Closes: #449698.
  * Fix segfault when right clicking the details area. Closes: #388546.
  * Install translations. Closes: #423018.
  * Install the (incomplete) upstream manual page. Closes: #422942.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 21:26:11 +0100

rapidsvn (0.9.4-1) unstable; urgency=medium

  * New upstream version (supporting subversion 1.4.2).

 -- Matthias Klose <doko@debian.org>  Sun, 17 Dec 2006 13:22:36 +0100

rapidsvn (0.9.3-2) unstable; urgency=low

  * Build-depend on libsvn-dev instead of libsvn0-dev. Closes: #391236.
  * Fix typo in desktop file. Closes: #383190.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2006 02:44:47 +0200

rapidsvn (0.9.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix help location in the doc-base file. Closes: #374759.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 15:01:16 +0000

rapidsvn (0.9.2-1) unstable; urgency=low

  * New upstream version.
  * Update copyright, changed in version 0.9.0. Closes: #369334.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 19:37:35 +0200

rapidsvn (0.9.1-2) unstable; urgency=low

  * Tighten shlib dependency to 0.9.1 (closes: #358324).
  * Fix build errors with g++-4.1 (closes: #357967).
  * Add checking for (and removal of) trailing slash in repository URL.
    Closes: #235329, #320755.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Mar 2006 21:46:41 +0000

rapidsvn (0.9.1-1) unstable; urgency=low

  * New upstream version.
  * Do not link against neon libraries.

 -- Matthias Klose <doko@debian.org>  Tue,  7 Mar 2006 13:53:52 +0000

rapidsvn (0.9.0-2) unstable; urgency=low

  * Fix typo in conflicts/replaces (closes: #342489).

 -- Matthias Klose <doko@debian.org>  Thu,  8 Dec 2005 03:32:23 +0100

rapidsvn (0.9.0-1) unstable; urgency=low

  * New upstream version.

