=== debian/control ===
Source: rapidsvn
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.51~), libneon27-gnutls-dev, libsvn-dev (>= 1.4.4), libsasl2-dev, libwxgtk2.8-dev, xsltproc, docbook-xsl, doxygen, autotools-dev, python
Homepage: http://rapidsvn.tigris.org/
Standards-Version: 3.9.2

Package: rapidsvn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsvncpp3 (= ${binary:Version})
Recommends: ssh-askpass
Breaks: libsvncpp-dev (<< 0.7.0-2)
Description: GUI client for Subversion
 A graphical client for the Subversion revision control system (svn).

Package: libsvncpp3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsvncpp0, libsvncpp0c2, libsvncpp0c2a
Replaces: libsvncpp0, libsvncpp0c2, libsvncpp0c2a
Description: Subversion C++ shared library
 This package contains a runtime library with C++ bindings for Subversion.

Package: libsvncpp-dev
Section: libdevel
Architecture: any
Depends: libsvn-dev (>= 1.4.4), libsvncpp3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Subversion C++ library (development files)
 This package contains the static library and headers for libsvncpp,
 a library with C++ bindings for Subversion.
