=== debian/watch ===
version=3
opts=dversionmangle=s/dfsg// \
http://www.rapidsvn.org/download/release/([\d\.]+)/rapidsvn-([\d\.]+)-\d+.tar.gz
