## rapidsvn 0.12.1dfsg

=== debian/changelog ===
rapidsvn (0.12.1dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch subversion1.9.patch to fix FTBFS (Closes:796450)

 -- Tobias Frost <tobi@debian.org>  Wed, 13 Apr 2016 22:36:30 +0200

rapidsvn (0.12.1dfsg-3) unstable; urgency=medium

  * New maintainer upload.
  * Bumped package standards version in debian/control to 3.9.6.
  * Changed hardening implementation to follow recommended method,
    dpkg-buildflags instead of hardening-wrapper; in debian/rules.
  * Changed hardening options to exclude -fpie as it casues an
    assert failed error specific to gtk + wxwidgets at application
    startup.
  * Updated Build-depends in debian/control to require dpkg-dev 
    (>=1.17.0).
  * Updated debian/control to explicitly include libsqlite3-0 in the
    depends list. (Closes: #721888)
  * Update debian/rules in order to fix distclean/clean targets 
    with regards to doxygen_sqlite3.db; it is now removed and not
    left in the source tarball for distribution as its generated 
    during a build but not removed when the distclean/clean targets
    are built.

 -- Richard B Winters <rik@mmogp.com>  Sun, 08 Mar 2015 08:10:32 -0400

rapidsvn (0.12.1dfsg-2) unstable; urgency=low

  * QA upload.
  * Rebuild to use wxwidgets3.0.
    + Compile with -DNDEBUG to disable wxdebug mode.

 -- Olly Betts <olly@survex.com>  Wed, 09 Apr 2014 17:59:20 +1200

rapidsvn (0.12.1dfsg-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * Update watch file. Thanks Bart Martens!
  * Update compatibility level to 9.
  * Update debian/copyright to DEP-5.
  * Enable security hardening build flags via hardening-wrapper.
  * Bump to Standards-Version 3.9.4:
    - Add build-arch and build-indep targets.
  * Add more information to extended descriptions in debian/control.
  * Change Section field from X11 to vcs in debian/control.
  * Install upstream changelog file (named CHANGES).
  * Replace deprecated dh_clean -k with dh_prep. 
  * debian/patches:     
    - Remove svn-1.7.patch, it is applied upstream.
    - Add add-svncpp.dox.diff: add missing upstream svncpp.dox, this file is 
      needed to generate documentation.
    - link-libs.diff, locale-build.diff: add descriptions to these patches and
      refresh them.
  * Add debian/libsvncpp3.lintian-overrides: do not provide a symbols file.
  * Add Keywords key to debian/rapidsvn.desktop.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 07 Jul 2013 15:25:39 +0200
