=== debian/control ===
Source: rapidsvn
Section: vcs
Priority: optional
Maintainer: Richard B Winters <rik@mmogp.com>
Build-Depends: debhelper (>= 9), libneon27-gnutls-dev, libsvn-dev (>= 1.4.4), libsasl2-dev, libwxgtk3.0-dev, xsltproc, docbook-xsl, doxygen, autotools-dev, python, dpkg-dev (>=1.17)
Homepage: http://rapidsvn.tigris.org/
Standards-Version: 3.9.6

Package: rapidsvn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsvncpp3 (= ${binary:Version}), libsqlite3-0 (>= 3.7.17)
Recommends: ssh-askpass
Breaks: libsvncpp-dev (<< 0.7.0-2)
Description: GUI client for Subversion
 Rapidsvn is a graphical client for the Subversion revision control system 
 (svn) providing an easy to use interface for Subversion features. It aims 
 to be simple for beginners but flexible enough to increase productivity for 
 experienced Subversion users.

Package: libsvncpp3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsvncpp0, libsvncpp0c2, libsvncpp0c2a
Replaces: libsvncpp0, libsvncpp0c2, libsvncpp0c2a
Description: Subversion C++ shared library
 This package contains a runtime library with C++ bindings for Subversion.
 libsvncpp3 is a C++ wrapper for the C Subversion client library which 
 abstracts many parts of the C API and provides an object-oriented programming 
 interface. 

Package: libsvncpp-dev
Section: libdevel
Architecture: any
Depends: libsvn-dev (>= 1.4.4), libsvncpp3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Subversion C++ library (development files)
 This package contains the static library and headers for libsvncpp,
 a library with C++ bindings for Subversion.
 . 
 Install this package if you want to develop an application that requires the 
 libsvncpp library.
