=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# We've switched to the recommended hardening method
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -16,7 +20,9 @@
 
 SHELL=/bin/bash
 
-CFLAGS = -Wall -g
+# We changed this since dpkg-buildflags sets the variable initially for us
+# and the typical '=' overwrites some important hardening options
+# CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -45,7 +51,11 @@
 
 # configure using --disable-shared,
 # so we don't have to package the library as well ...
+# 
+# We changed CPPFLAGS so that hardening was included
+# i.e. $(CPPFLAGS) now included in the line
 	CFLAGS="$(CFLAGS)" \
+	CPPFLAGS="-DNDEBUG $(CPPFLAGS)" \
 	    ./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
@@ -58,7 +68,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
@@ -77,12 +89,15 @@
 	rm -f config.sub
 	rm -f config.guess
 
+	: # temporary fix until upstream fixes the clean targets
+	rm -f doc/svncpp/doxygen_sqlite3.db
+
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs -p$(p) \
 		usr/share/pixmaps usr/share/locale usr/share/man/man1
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/rapidsvn
@@ -114,7 +129,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs # ChangeLog # empty file ...
+	dh_installchangelogs -k CHANGES
 	dh_installdocs README
 
 	rm -rf $(d_dev)/usr/share/doc/$(p_dev)
@@ -122,6 +137,7 @@
 	mkdir -p $(d_dev)/usr/share/doc/$(p_lib)
 	cp -a doc/svncpp/html $(d_dev)/usr/share/doc/$(p_lib)/
 
+	dh_lintian
 	dh_installexamples
 	dh_installmenu
 	dh_icons
@@ -142,4 +158,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install
